#!/bin/sh

# ---------------- Change to AutoUpdateAgent Direcotry -------------------------
# Assume we are in the AUA_HOME/bin directory
cd ..
# We are now in AUA_HOME
AUA_HOME=$PWD;
cd ..
OBM_HOME=$PWD;

# -------------------------------- JAVA Setting --------------------------------
# OS specific support.  $var _must_ be set to either true or false.
case "`uname`" in
  Darwin*) if [ -z "$JAVA_HOME" ] ; then
             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
           fi
           ;;
  Linux*)  if [ -z "$JAVA_HOME" ] ; then
             echo "JAVA_HOME not set! Exit Now!"
             exit 0;
           fi
           ;;
esac

if [ -e "$AUA_HOME/jvm" ]
then
  JAVA_HOME=$AUA_HOME/jvm
fi

# -------------------------------- ApacheANT Setting ---------------------------
# ANT Setting
ANT_HOME=$AUA_HOME/ant
ANT_ARG=-quiet
IGNORE_LOCAL_ANT=--noconfig

# -------------------------- Set Build Parameters ------------------------------
# Build File Setting
BUILD_DIR=$AUA_HOME/builds
BUILD_PATH=$BUILD_DIR/$BUILD_FILENAME

# ------------------------ ANT should be executed at AUA_HOME ----------------------------
cd $AUA_HOME

# -------------------------- Build ANT Project ---------------------------------
"$ANT_HOME/bin/ant" -DOBM_HOME="$OBM_HOME" $ANT_ARG $IGNORE_LOCAL_ANT -quiet -buildfile "$BUILD_PATH" &> /dev/null

